%def_without test
%define module_name XAO-FS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(DBI.pm) perl(Encode.pm) perl(Error.pm) perl(ExtUtils/MakeMaker.pm) perl(Pod/Usage.pm) perl(XAO/Base.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.24
Release: alt1
Summary: XAO Database Layer
Group: Development/Perl
License: Artistic-1
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AM/AMALTSEV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Normal perl installation should do, providing you already have MySQL
installed and have a database that you can spare for testing.

   perl Makefile.PL
   make
   make test
   sudo make install

Should you have any additional questions please consult documentation,
source code or write to am@ejelta.com. Commercial support and custom
development is also available.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}
rm -f sample.pl

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO CHANGES LICENSE README doc
%perl_vendor_privlib/X*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Thu Jan 17 2019 Igor Vlasenko <viy@altlinux.ru> 1.24-alt1
- regenerated from template by package builder

* Sat Jan 05 2019 Igor Vlasenko <viy@altlinux.ru> 1.23-alt1
- initial import by package builder

